
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android之解析XML格式数据 / 憋错料</title>

    <meta name="description" content="Android之解析XML格式数据 作用:在网络上传输数据时最常用的格式有两种,XML 和 JSON.解析XML格式数据获得与后台交互的信息. 种类: 3种:Pull 解析方式:SAX 解析方式:DOM解析方式. 1.使用Pull解析器解析XML文档Pull解析器的运行方式和SAX解析器很相似,它提供了类似的事件,比如文档开始.文档结束.开始元素和结束元素等.使用parser.next()方法可以进入下一个元素并触发相应的事件.各种事件均已数字的形式被发送,因此可以在程序中使用一个switch语句来对事件进行选择,然后进行相应的事">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Android之解析XML格式数据</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>作用：在网络上传输数据时最常用的格式有两种，XML 和 JSON。解析XML格式数据获得与后台交互的信息。</p>
<p>种类：</p>
<p>3种：Pull 解析方式；SAX 解析方式；DOM解析方式。</p>
<p><strong>1.使用Pull解析器解析XML文档</strong><br />Pull解析器的运行方式和SAX解析器很相似，它提供了类似的事件，比如文档开始、文档结束、开始元素和结束元素等。使用parser.next()方法可以进入下一个元素并触发相应的事件。各种事件均已数字的形式被发送，因此可以在程序中使用一个switch语句来对事件进行选择，然后进行相应的事件处理。<br /><strong>1.1事件类型</strong><br />Pull解析器提供的事件类型总共有5种，分别如下：<br />（1）START_DOCUMENT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 文档开始<br />（2）START_TAG &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;开始元素<br />（3）TEXT　　　　　　　　　　 文本<br />（4）END_TAG　　　　　　　　结束元素<br />（5）END_DOCUMENT　　　　 文档结束<br /><strong>1.2常用方法</strong><br />使用Pull解析器XmlPullParser解析XML文档时，主要会用到以下几个常用方法。<br />（1）int getAttributeCount(); 　　　　　　　　//获取当前元素的属性个数<br />（2）String getAttributeValue(int index); 　　//获取属性值<br />（3）int getEventType(); 　　　　　　　　　　//获取事件类型<br />（4）String getName(); &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;//用于START_TAG和END_TAG事件中，获取当前元素的名字<br />（5）int next(); &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; //处理下一个元素<br />（6）int nextText(); 　　　　　　　　　　　　 //用于START_TAG事件中，获得下一个TEXT类型的元素</p>
<p>使用步骤：</p>
<p>1. 先搭建WEB服务器。给定一个XML文件进行测试。</p>
<p>2. 通过XmlPullParserFactory获得XmlPullParser对象进行解析。</p>
<p>3. XmlPullParser对象解析文档。</p>
<p>详细步骤：</p>
<p>1. 先搭建WEB服务器。给定一个XML文件进行测试。</p>
<pre>&lt;?xml version="1.0" encoding="UTF-8"?&gt;
&lt;Users&gt;
    &lt;User&gt;
        &lt;Name&gt;h_bolin&lt;/Name&gt;
        &lt;Pwd&gt;0&lt;/Pwd&gt;
    &lt;/User&gt;
    &lt;User&gt;
        &lt;Name&gt;h_bolin1&lt;/Name&gt;
        &lt;Pwd&gt;12&lt;/Pwd&gt;
    &lt;/User&gt;
    &lt;User&gt;
        &lt;Name&gt;h_bolin2&lt;/Name&gt;
        &lt;Pwd&gt;123&lt;/Pwd&gt;
    &lt;/User&gt;
    &lt;User&gt;
        &lt;Name&gt;h_bolin3&lt;/Name&gt;
        &lt;Pwd&gt;1234&lt;/Pwd&gt;
    &lt;/User&gt;
    &lt;User&gt;
        &lt;Name&gt;h_bolin4&lt;/Name&gt;
        &lt;Pwd&gt;12345&lt;/Pwd&gt;
    &lt;/User&gt;
    &lt;User&gt;
        &lt;Name&gt;h_bolin5&lt;/Name&gt;
        &lt;Pwd&gt;123456&lt;/Pwd&gt;
    &lt;/User&gt;
&lt;/Users&gt;</pre>
<p>2. 通过XmlPullParserFactory获得XmlPullParser对象进行解析。</p>
<pre>XmlPullParserFactory xmlPullParserFactory = XmlPullParserFactory.newInstance();
XmlPullParser xmlPullParser = xmlPullParserFactory.newPullParser();
xmlPullParser.setInput(new StringReader(xmlData));</pre>
<p>3. XmlPullParser对象解析文档。</p>
<pre>int eventType = xmlPullParser.getEventType();
            String name = "";
            String pwd = "";
            while (eventType != XmlPullParser.END_DOCUMENT) {
                String nodeName = xmlPullParser.getName();
                switch (eventType) {
                case XmlPullParser.START_DOCUMENT:
                    // 文档开始的时可以的操作
                    break;
                // 开始解析某个结点
                case XmlPullParser.START_TAG: {
                    if ("Name".equals(nodeName)) {
                        name = xmlPullParser.nextText();
                    } else if ("Pwd".equals(nodeName)) {
                        pwd = xmlPullParser.nextText();
                    }
                    break;
                }// 完成解析某个结点
                case XmlPullParser.END_TAG: {
                    if ("User".equals(nodeName)) {
                        Log.d("h_bl", "Name is" + name);
                        Log.d("h_bl", "Pwd is " + pwd);
                        users.add(new User(name, pwd));
                    }
                    break;
                }
                default:
                    break;
                }
                eventType = xmlPullParser.next();
            }
        } catch (XmlPullParserException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }</pre>
<p>详细代码：</p>
<pre>@SuppressLint("HandlerLeak")
public class MainActivity extends Activity implements OnClickListener {
    private Button bt_getData;
    private TextView tv_show_data;
    private List&lt;User&gt; users = new ArrayList&lt;User&gt;(); // 数据解析

    private static final int GET_DATA_OK = 0;
    // Handler机种更新UI
    private Handler handler = new Handler() {

        @Override
        public void handleMessage(Message msg) {
            switch (msg.what) {
            case GET_DATA_OK:
                for (User user : users) {
                    tv_show_data.append(user.getName() + "\n");
                    tv_show_data.append(user.getPwd() + "\n");
                }
                break;

            default:
                break;
            }
            super.handleMessage(msg);
        }

    };

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        init();
    }

    private void init() {
        bt_getData = (Button) findViewById(R.id.bt_getData);
        tv_show_data = (TextView) findViewById(R.id.tv_show_data);
        bt_getData.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
        case R.id.bt_getData:
            getData();
            break;

        default:
            break;
        }
    }

    /**
     * 获取数据
     */
    private void getData() {
        new Thread(new Runnable() {

            @Override
            public void run() {
                Log.d("h_bl", "进入执行");
                HttpClient httpClient = new DefaultHttpClient();
                HttpGet httpGet = new HttpGet("http://h-bolin.imwork.net/SendXMLData/SendData.xml");
                HttpResponse httpResponse = null;
                try {
                    httpResponse = httpClient.execute(httpGet);
                    if (httpResponse.getStatusLine().getStatusCode() == 200) {
                        // 请求和响应都成功了
                        Log.d("h_bl", "响应成功");
                        HttpEntity entity = httpResponse.getEntity();
                        String response = EntityUtils.toString(entity, "utf-8");
                        users = parseXMLWithPull(response);
                        Message message = new Message();
                        message.what = GET_DATA_OK;
                        // 将服务器返回的结果存放到Message中
                        handler.sendMessage(message);
                    }
                } catch (ClientProtocolException e) {
                    Log.d("h_bl", "链接失败");
                    e.printStackTrace();
                } catch (IOException e) {
                    Log.d("h_bl", "链接IO异常");
                    e.printStackTrace();
                }

            }
        }).start();
    }

    /**
     * PULL解析XML文件
     */
    private List&lt;User&gt; parseXMLWithPull(String xmlData) {
        List&lt;User&gt; users = new ArrayList&lt;User&gt;();
        try {
            XmlPullParserFactory xmlPullParserFactory = XmlPullParserFactory.newInstance();
            XmlPullParser xmlPullParser = xmlPullParserFactory.newPullParser();
            xmlPullParser.setInput(new StringReader(xmlData));
            int eventType = xmlPullParser.getEventType();
            String name = "";
            String pwd = "";
            while (eventType != XmlPullParser.END_DOCUMENT) {
                String nodeName = xmlPullParser.getName();
                switch (eventType) {
                case XmlPullParser.START_DOCUMENT:
                    // 文档开始的时可以的操作
                    break;
                // 开始解析某个结点
                case XmlPullParser.START_TAG: {
                    if ("Name".equals(nodeName)) {
                        name = xmlPullParser.nextText();
                    } else if ("Pwd".equals(nodeName)) {
                        pwd = xmlPullParser.nextText();
                    }
                    break;
                }// 完成解析某个结点
                case XmlPullParser.END_TAG: {
                    if ("User".equals(nodeName)) {
                        Log.d("h_bl", "Name is" + name);
                        Log.d("h_bl", "Pwd is " + pwd);
                        users.add(new User(name, pwd));
                    }
                    break;
                }
                default:
                    break;
                }
                eventType = xmlPullParser.next();
            }
        } catch (XmlPullParserException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return users;
    }
}</pre>
<p>PS.节点区分大小写。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 08:41:55 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Android之解析XML格式数据的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmGJwX3.html" rel="bookmark">Android上解析Json格式数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				package com.practice.json; import org.json.JSONArray; import org.json.JSONException; import org.json.JSONObject; import android.app.Activity; import android.os.Bundle; import android.util.Log; public class JsonDemo extends Activity { /*http://www.hui			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Nz5gw4.html" rel="bookmark">iOS开发之解析XML格式数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				XML格式的数据是一种数据的传输格式.因为它方便编写.结构清晰,所以深受程序猿的喜爱,非常多人都喜欢使用XML格式数据传输或者作为程序的配置信息. 如今我将来实如今iOS中解析XML格式数据,语言使用Swift. 首先自己写一个简单的XML: &lt;data&gt; &lt;person age=&quot;15&quot;&gt;zhangsan&lt;/person&gt; &lt;person age=&quot;2&quot;&gt;lisi&lt;/person&gt; &lt;person&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmO1zp3.html" rel="bookmark">iOS dom解析xml格式数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述:接口返回的是xml格式数据,而且节点名居然都是相同的,采用了dom解析最终解决 一.文件导入 1.下载GDataXMLNode.h 和 GDataXMLNode.m文件,导入工程(csdn文件下载链接:http://download.csdn.net/detail/wusangtongxue/9502292) 2.配置环境: (1)改成ARC环境(-fno-objc-arc): (2)找到“Paths\Header Search Paths”项,并添加“/usr/include/lib			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLrlmv3.html" rel="bookmark">Android中解析JSON格式数据常见方法合集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				待解析的JSON格式的文件如下: [{&quot;id&quot;:&quot;5&quot;, &quot;version&quot;:&quot;1.0&quot;, &quot;name&quot;:&quot;xiaowang&quot;}, {&quot;id&quot;:&quot;10&quot;, &quot;version&quot;:&quot;2.0&quot;, &quot;name&quot;:&quot;lisi&quot;}] 一.使用JSONObject来解析JSON数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzDGP23.html" rel="bookmark">Swift - 解析XML格式数据（分别使用GDataXML和DDXML）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在做一些应用的时候经常需要用到XML解析,比如获取Web Service数据,读取RSS新闻或者博客数据源.下面演示了两个非常方便高效的XML库在Swift里的调用方法. 假设需要被解析的XML数据文件users.xml如下: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt;  &lt;Users&gt;      &lt;User id=&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP1AwB0.html" rel="bookmark">android 中解析json格式数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文来自http://tonysun3544.iteye.com/category/188238 package com.tony.json; import android.app.Activity; import android.os.Bundle; import android.view.View; import android.widget.Button; public class JsonActivity extends Activity { /* Called when the act			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MX2QR83.html" rel="bookmark">利用XStream解析XML格式数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.导入xstream.jar: 2.引用XMLUtil工具类: 3.使用用例: 4.打印结果: 5.用到的bean对象: 来自为知笔记(Wiz) 附件列表			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eaJab0.html" rel="bookmark">android学习二十三（解析json格式数据）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面我们已经掌握了xml格式数据的解析方式,那么接下来我们学习下如何解析json格式的数据.比起xml,json的主要优势在于它体积更小,在网络上传输的时候可以更省流量.但缺点在于,它的语义性差,看起来不如xml直观. 开始之前,先在自己的电脑apache-tomcat-6.0.39\webapps\ROOT路径目录下新建一个get_data.json的文件,然后编辑这个文件,并加入如下json格式的内容: [{&quot;id&quot;:&quot;5&quot;,&quot;version&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVvrjyM.html" rel="bookmark">Android使用DOM生成和输出XML格式数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android使用DOM生成和输出XML格式数据 本文主要简单讲解如何使用DOM生成和输出XML数据. 1. 生成和输出XML数据 代码及注释如下: try { DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance(); DocumentBuilder builder = factory.newDocumentBuilder(); //创建一个新的Document对象,并非获取 Document xmlDocume			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWwxQaM.html" rel="bookmark" class="title">python学习-爬虫</a>
					<div>
						转载自 静觅的博客 最普通下载网页 1 import urrlib2 2 response = urllib2.urlopen(&quot;http://www.baidu.com&quot;) 3  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDZ2Je3.html" rel="bookmark" class="title">BZOJ4605 &colon; 崂山白花蛇草水</a>
					<div>
						外层维护权值线段树,内层维护kd-tree. 修改的时候只往右儿子里插入,不平衡的时候替罪羊式重构. 查询的时候在外层线段树上走,在内层kd-tree上查询矩形内点数即可. 时间复杂度$O(q\log ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wRYQb0.html" rel="bookmark" class="title">uva 1356 - Bridge&lpar;积分&plus;二分&rpar;</a>
					<div>
						题目链接:uva 1356 - Bridge 题目大意:在一座长度为B的桥上建若干个塔,塔的间距不能超过D,塔的高度为H,塔之间的绳索形成全等的抛物线.绳索的总长度为L.问在建最少塔的情况下,绳索的最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWAORG3.html" rel="bookmark" class="title">快速幂理解</a>
					<div>
						当求解a的b次方时,如果b很大,那么时间复杂度O(n)就会很高,用快速幂可以降低复杂度. 现在假如要求a的11次方,11用二进制就可以表示成1011,那么就可以得到如下的公式: 代码的实现很简单,如下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZD2ZlM.html" rel="bookmark" class="title">PHP set&lowbar;error&lowbar;handler&lpar;&rpar;函数的使用</a>
					<div>
						我们写程序,难免会有问题(是经常会遇到问题 ),而PHP遇到错误时,就会给出出错脚本的位置.行数和原因.有很多人说,这并没有什么大不了.确实,在调试程序阶段,这确实是没啥的,而且我认为给出错误路径是必 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wywX1M.html" rel="bookmark" class="title">fgkdfhvcncty</a>
					<div>
						﻿﻿ http://www.ebay.com/cln/amc2869.kagffuzjd/-/178030180013/20150211html http://www.ebay.com/cln/ooo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgNRGL4.html" rel="bookmark" class="title">Poj 1182种类（带权）并查集</a>
					<div>
						题目链接 食物链 Time Limit: 1000MS Memory Limit: 10000K Total Submissions: 44316 Accepted: 12934 Descriptio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWg8P4.html" rel="bookmark" class="title">JavaScript Patterns 2&period;10 Naming Conventions</a>
					<div>
						1. Capitalizing Constructors var adam = new Person(); 2. Separating Words camel case - type the word ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrjPn4.html" rel="bookmark" class="title">Android、iOS、和Web如何做灰度发布？</a>
					<div>
						主要参考了: https://www.zhihu.com/question/21714205 https://www.zhihu.com/question/28296375 一.概述 所谓的灰度发布, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QqG6B4.html" rel="bookmark" class="title">老男孩教育每日一题-2017年4月26日-通过访问日志access&period;log统计IP和每个地址访问的次数</a>
					<div>
						通过访问日志access.log统计IP和每个地址访问的次数 101.226.61.184 - - [22/Nov/2015:11:02:00 +0800] &quot;GET /mobile/sea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ORW7P0.html" rel="bookmark" class="title">机器阅读理解中文章和问题的深度学习表示方法</a>
					<div>
						/* 版权声明:可以任意转载,转载时请标明文章原始出处和作者信息 .*/ author: 张俊林 注:本文是&lt;深度学习解决机器阅读理解任务的研究进展&gt;节选,该文将于近期在&quot;深度学 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wjnel0.html" rel="bookmark" class="title">Platform设备之gpio-led分析</a>
					<div>
						Platform设备之gpio-led分析 led测试 以使用的9263板子为例,首先看board-sam9263ek.c的ek_board_init函数, static void __init ek ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0koz5p0.html" rel="bookmark" class="title">org&period;gjt&period;mm&period;mysql&period;Driver与com&period;mysql&period;jdbc&period;Driver区别</a>
					<div>
						org.gjt.mm.mysql.Driver 是早期的驱动名称,后来就改名为com.mysql.jdbc.Driver,现在一般都推荐使用com.mysql.jdbc.Driver.在最新版 本的m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AEJyD4.html" rel="bookmark" class="title">jbrowse和NGL展示基因组</a>
					<div>
						最近朋友介绍了一个项目,用jbrowse和NGL来展示基因组,对于没有生物基础的我来说是个不小的挑战,但是咱10岁就开始用学习机写程序,这点问题还是难不倒我的(吹点小牛,开始正题). jbrowse和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41wkNJ0.html" rel="bookmark" class="title">HDOJ1003</a>
					<div>
						MAX —sum  好久前做过 但是再看到的时候觉得的有点陌生 设Si是一定以i结尾的最大连续子序列 S1=a[1]: Sn=Sn-1&gt;=0?Sn-1+a[n]:a[n];//状态转移大致是这样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBjexYM.html" rel="bookmark" class="title">解决Kali Linux没有声音</a>
					<div>
						Kali Linux系统默认状态下,root用户是无法使用声卡的,也就没有声音.启用的方法如下: (1)在终端执行命令:systemctl --user enable pulseaudio (2)在/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35PqOE0.html" rel="bookmark" class="title">机器学习&mdash;&mdash; 决策树&lpar;ID3算法&rpar;的分析与实现</a>
					<div>
						KNN算法请参考:http://blog.csdn.net/gamer_gyt/article/details/47418223 一.简介         决策树是一个预测模型:他代表的是对象属性与对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MowrYnM.html" rel="bookmark" class="title">Form表单&lpar;回车&rpar;提交问题</a>
					<div>
						我们有时候希望回车键敲在文本框(input element)里来提交表单(form),但有时候又不希望如此.比如搜索行为,希望输入完关键词之后直接按回车键立即提交表单,而有些复杂表单,可能要避免回车键 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBD2kj3.html" rel="bookmark" class="title">install 命令用法详解</a>
					<div>
						install 命令用法详解 http://man.linuxde.net/install install命令的作用是安装或升级软件或备份数据,它的使用权限是所有用户.install命令和cp命令类似 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyzlRY0.html" rel="bookmark" class="title">算法分析（54页）</a>
					<div>
						将线性表以带头结点的单链表作存储结构,偶数放前,奇数放后: 代码如下: #include&lt;stdio.h&gt; typedef struct LNode { int data ; struct ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
